Name:           otter-browser
Summary:        Modern web browser inspired by Opera 12
Version:        1.0.03
Release:        %mkrel 4
Group:          Networking/WWW
License:        GPLv3+ and BSD
Url:            https://otter-browser.org/
Source0:        https://github.com/OtterBrowser/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        LICENSE_mousegesture.txt
Source2:        LICENSE_libmimeapps.txt
Patch0:         otter-browser-1.0.01-mga-duckduckgo.patch
Patch1:         otter-browser-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Multimedia) >= 5.2
BuildRequires:  pkgconfig(Qt5Network) >= 5.2
BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.2
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2
BuildRequires:  pkgconfig(Qt5Script) >= 5.2
BuildRequires:  pkgconfig(Qt5Svg) >= 5.2
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= 5.2
BuildRequires:  pkgconfig(dbusmenu-qt5)

Requires:       qtwebengine5

%description
Otter Browser aims to recreate classic Opera (Presto) UI using Qt
and designed to give the user full control.

%prep
%autosetup -p1

cp %{S:1} %{S:2} .

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

install -Dm 0644 packaging/%{name}.appdata.xml %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

%files
%doc CHANGELOG README.md TODO CONTRIBUTING.md
%license LICENSE_mousegesture.txt LICENSE_libmimeapps.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Jul 04 2025 daviddavid <daviddavid> 1.0.03-4.mga10
+ Revision: 2245018
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Mar 10 2023 kekepower <kekepower> 1.0.03-3.mga9
+ Revision: 1948515
- Rebuild to see if it fixes random crashes

* Wed Apr 06 2022 umeabot <umeabot> 1.0.03-2.mga9
+ Revision: 1845883
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 mrambo3501 <mrambo3501> 1.0.03-1.mga9
+ Revision: 1789507
- version 1.0.03

* Tue Mar 02 2021 daviddavid <daviddavid> 1.0.02-1.mga9
+ Revision: 1695821
- new version: 1.0.02
- remove merged upstream patch

* Thu Dec 17 2020 umeabot <umeabot> 1.0.01-5.mga8
+ Revision: 1659223
- Rebuild for new Qt5

* Sat Jul 25 2020 daviddavid <daviddavid> 1.0.01-4.mga8
+ Revision: 1608952
- add upstream patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 1.0.01-3.mga8
+ Revision: 1524847
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 1.0.01-2.mga7
+ Revision: 1383809
- Qt5 Rebuild

* Fri Jan 04 2019 daviddavid <daviddavid> 1.0.01-1.mga7
+ Revision: 1348985
- new version: 1.0.01

* Fri Nov 23 2018 daviddavid <daviddavid> 0.9.99.3-2.mga7
+ Revision: 1333475
- rebuild for new hunspell 1.7.0

* Sun Sep 02 2018 daviddavid <daviddavid> 0.9.99.3-1.mga7
+ Revision: 1256214
- new version: 0.9.99.3

* Fri Jun 08 2018 daviddavid <daviddavid> 0.9.99-1.mga7
+ Revision: 1235284
- new version: 0.9.99
- rename and rediff mga-duckduckgo patch

* Tue Nov 07 2017 daviddavid <daviddavid> 0.9.92-1.mga7
+ Revision: 1176322
- new version: 0.9.92
- rename and rebase mga-duckduckgo patch

* Sun Aug 06 2017 daviddavid <daviddavid> 0.9.12-2.mga7
+ Revision: 1137583
- rebuild for new libhunspell 1.6

* Wed Feb 15 2017 daviddavid <daviddavid> 0.9.12-1.mga6
+ Revision: 1086330
- new version: 0.9.12
- use system hunspell
- rename and rebase mga-duckduckgo patch

* Mon Sep 05 2016 daviddavid <daviddavid> 0.9.10-4.mga6
+ Revision: 1050128
- do not build on armv5tl because of missing qtwebengine5

* Fri May 20 2016 dglent <dglent> 0.9.10-3.mga6
+ Revision: 1017082
+ rebuild (emptylog)

* Thu May 19 2016 dglent <dglent> 0.9.10-2.mga6
+ Revision: 1016985
- Use Mageia for credits in duckduckgo search

* Sun May 15 2016 dglent <dglent> 0.9.10-1.mga6
+ Revision: 1015738
- imported package otter-browser

